Présentation :

Ce programme a été développé pour permettre d'incorporer les graphes issues de Isis de Proteus (outil de saisie de schéma et de simulation électronique) dans un traitement de texte. Ce programme doit permettre de rajouter des textes et des objets graphiques afin de permettre un commentaire des graphes. Il doit permettre aussi de pouvoir rajouter des axes, permettant ainsi de séparer les courbes, faire des zooms, etc ...
Avec cette ossature il a paru intéressant de pouvoir récupérer les oscillogrammes provenant des oscilloscopes que nous utilisions.
De ce fait GraphCom permet de :

  • récupérer des oscillogrammes provenant d'un oscilloscope de la famille TDS

  • récupérer des courbes provenant d'une simulation sous Isis

  • ajouter des symboles graphiques

  • ajouter des graphes

  • définir des propriétés de pages

  • gerer des fichiers

  • copier dans le presse papier pour exporter rapidement dans une autre application

Ce programme est relativement simple d'utilisation, mais il possède certaines spécificité qui vous permettront de l'utiliser encore plus facilement, de ce fait je ne saurais trop vous conseiller de regarder avec attention la partie « Utilisation » de ce fichier d'aide.


Récupérer des oscillogrammes provenant d'un oscilloscope de la famille TDS :

GraphCom permet de récupérer les oscillogrammes depuis un oscilloscope Textronix TDS. Pour cela vous devez configurer votre matériel une fois pour toute. Puis à partir de GraphCom, lancer le transfert de données. Une fois l'oscillogramme rapatrié, vous pouvez ajouter des commentaires et des axes.

Voici un exemple d'oscillogramme récupéré depuis un TDS210 via la liaison série.

Le même oscillogramme quelques minutes plus tard retravaillé à l'aide de GraphCom :


Configurer le matériel :

Câble série : Dans un premier temps vous avez besoin d'un câble série (Femelle Femellle), dont le TX et le RX sont croisés, pour pouvoir relié votre PC et votre oscilloscope TEKTRONIX TDSXXXX.

Configuration du TDS : dans le menu « Utility » « Options », « Configuration RS232 », vérifier que :

  • « Baud » est à 9600

  • « Contrôle » à Aucun

  • « Fin de ligne » à CR

  • « Parité » à Aucune

Configuration du PC : rien de plus à faire que de connecter le câble à un port série RS232.

Note : Les test que nous avons pu réaliser se sont fait avec un TDS210 (FirmWare : 1.09) et un TDS2002 (FirmWare : 2.et des broutilles). D'après la doc sur laquelle je me suis appuyé pour réaliser ce programme, il devrait être compatible avec toute la série 200, 1000 et 2000 dont le FirmWare est 1.xx ou 2.xx.


Lancer le transfert de données :

Une fois votre matériel configuré, vous pouvez démarrer GraphCom.

Dans le menu « Fichier », choisir « Importer depuis TDS » ou cliquer sur le bouton [image].

Dans la fenêtre qui apparaît sélectionner le port de communication sur lequel est branché l'oscilloscope, puis cliquer sur le bouton « Récupération des oscillogrammes ».

20 à 30 secondes plus tard apparaît sur l'écran du PC, les oscillogrammes qui étaient présents sur l'oscilloscope.

Si la barre de progression venait à se stopper pendant 5 secondes, cliquer sur le bouton « Annuler » et recommencer l'opération de transfert.

Note:

Avant de commencer le transfert l'oscilloscope passe en mode « STOP », ceci pour éviter des problèmes de synchronisme. Une fois le transfert effectué, l'oscilloscope revient dans le mode où il se trouvait avant le début du transfert.

Il arrive que lors d'une première tentative, il y ait un problème de communication (sûrement des problèmes de delai), alors un message apparaît vous demandant de vérifier la configuration matérielle. Une fois la vérification effectué, cliquer sur le bouton « OK », puis relancer un transfert.

Pour l'instant le programme à l'air de bien gérer la communication, car à part les problèmes lors du réglage matérielle et lorsque volontairement je débranchais la liaison en cours de transfert, moins de 1 transfert sur 20 ont échoués.


Récupérer des courbes provenant d'une simulation sous Isis :

GraphCom permet de récupérer les courbes provenant de simulation depuis Isis, l'éditeur de schéma de Proteus. Pour cela vous devez depuis Isis, exporter les données, puis à partir de GraphCom, importer ces données. Une fois les chronogrammes rapatriés, vous pouvez ajouter des commentaires et des axes.

Voici un exemple de courbes récupérées depuis une simulation d'Isis.

Les mêmes chronogrammes quelques minutes plus tard retravaillé à l'aide de GraphCom :


Exporter des données depuis Isis :

Une fois votre schéma saisi et simulé dans Isis, vous pouvez Exporter des données. Pour ce faire, sélectionner votre graphe, puis cliquer dans le menu « Graphe » sur « Exporter données ». Dans le fenêtre qui apparaît donner un nom au fichier d'échange. Il faut que ce fichier ait l'extension « .dat » pour qu'il soit reconnu par GraphCom.


Importer des courbes depuis Isis :

Une fois les courbes exportées depuis Isis, lancer GraphCom, puis dans le menu « Fichier », cliquer sur « Importer depuis Isis ». Dans la fenêtre qui apparaît, sélectionner le fichier d'échange avec l'extension « .dat » que vous avez créé en exportant les données. Le graphe apparaît prêt à subir les modifications ou précision que vous désirez.


Format du fichier d'échange (extension « .dat ») :

Le fichier d'échange est un fichier texte avec une structure très simple. De ce fait le nombreux programmes doivent avoir en standard des fichiers de sortie à ce format. Ainsi le menu « Importer depuis Isis » s'appelle en fait « Importer depuis ... », si vous êtes suffisamment malin.

Voici un exemple de fichier d'échange :

"TIME","vs1","vs2","ve"
0,0,0,0
50e-6,1,3e-6,-1
0.0001,-2,-3e-6,2

qui nous donne les courbes ci-contre :

Le fichier commence par le nom des courbes entre guillemets, séparés par des virgules. Puis à chaque ligne on trouve les valeurs de ces courbes séparées par des virgules. Les valeurs sont bien sur affichées au format scientifique américain, c'est à dire avec le point comme séparateur décimal.

Attention : au points et au virgules de pas faire des noeuds.

Note : On peut voir que GraphCom a un problème pour afficher 1µ et je ne sais pas d'où ca vient.


Ajouter des symboles graphiques :

A partir des courbes importées depuis Isis, ou des oscillogrammes provenant d'un TDS, GraphCom permet de rajouter des symboles graphiques (dessins), qui étofferont le rendu des graphes et oscillogrammes.

Il existe 7 dessins de bases différents :

  • Le texte

  • Le segment de droite

  • La flèche

  • Le rectangle

  • L'ellipse

  • Le marqueur horizontal

  • Le marqueur vertical

et 2 dessins spéciaux :

  • Les courbes

  • Les labels

Pour ajouter un dessin de base, sélectionnez celui voulu dans le menu « Dessin », ou cliquez sur le bouton correspondant dans la barre d'outils. Puis (suivant le dessin) cliquez avec le bouton droit dans là zone du graphique où vous désirez placer l'origine, maintenez le bouton enfoncé jusqu'à l'autre extrémité et relâcher le bouton. Pendant tout le temps où le bouton est appuyé, une esquisse du futur dessin en cour de création est dessiné.

Voir la rubrique manipulation des dessins.


Ajouter du texte :

Les textes permettent de rajouter un texte sur une ligne à votre graphique. Pour ajouter plusieurs lignes de commentaires à un graphique, rajouter plusieurs dessin « Texte ». Ce dessin ne gère pas le retour à la ligne automatique, à vous de faire attention de le placer correctement pour qu'il ne dépasse pas du cadre de la feuille.

Vous pouvez définir :

  • le point origine : c'est le point le plus en bas à gauche du texte

  • le texte : ce qui sera affiché

  • la couleur :

  • la fonte : taille, police, italique, gras, souligné et barré

Note : ce dessin n'a pas de poignet de dimensionement. Pour définir la dimension de ce dessin il suffit de modifier la taille ou l'aspect de la fonte.


Ajouter un segment de droite :

Les segments de droite dessinent une droite entre le point d'origine et le point de dimensionnement.

Vous pouvez définir :

  • le point origine :

  • la hauteur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la largeur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la couleur.

  • l'épaisseur du trait.

Pour ajouter un dessin, sélectionnez celui voulu dans le menu « Dessin », ou cliquez sur le bouton correspondant dans la barre d'outils. Puis (suivant le dessin) cliquez avec le bouton droit dans là zone du graphique où vous désirez placer l'origine, maintenez le bouton enfoncé jusqu'à l'autre extrémité et relâcher le bouton. Pendant tout le temps où le bouton est appuyé, une esquisse du futur dessin en cour de création est dessinné.


Ajouter une flèche :

Les flèches dessinent une droite entre le point d'origine et le point de dimensionnement. Puis rajoute une ou deux flèches aux extrémités de cette droite.

Vous pouvez définir :

  • le point origine :

  • la hauteur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la largeur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la couleur.

  • l'épaisseur du trait.

  • la taille de la flèche : la dimension de la tête de la flèche.

  • simple ou double : simple (une seule flèche sur le point d'origine). Double (une flèche à chaque extreminé de la droite)


Ajouter un rectangle :

Les rectangles dessinent un rectangle dont deux coins sont le point d'origine et le point de redimensionnement. Les cotés de ce rectangle sont parallèles a l'axe X ou à l'axe Y.

Vous pouvez définir :

  • le point origine .

  • la hauteur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la largeur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la couleur.

  • le remplissage : détermine si l'on dessine que le contour, ou si la forme est remplie.

  • l'épaisseur du trait.


Ajouter une ellipse :

Les ellipses dessinent une ellipse dont le centre est le point d'origine et le point de dimensionnement est un des 4 points du rectangle dans lequel cette ellipse est inscrite. L'axe focal de cette ellipse est parallèle à l'axe X ou à l'axe Y.

Vous pouvez définir :

  • le point origine : c'est le centre de l'ellipse

  • la hauteur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la largeur : du point de dimensionnement par rapport au point d'origine exprimée en nombre de points du graphique.

  • la couleur.

  • le remplissage : détermine si l'on dessine que le contour, ou si la forme est remplie.

  • l'épaisseur du trait.


Ajouter un marqueur horizontal :

Les marqueurs horizontaux, dessinent une ligne horizontale qui traverse entièrement le graphique de gauche à droite.

Vous pouvez définir :

  • le point origine : bien sur vous ne pouvez définir que la position sur l'axe Y de ce dessin, et cette position est relative aux coordonnées réelles affichées.

  • la couleur.

  • l'épaisseur du trait.


Ajouter un marqueur vertical :

Les marqueurs verticaux, dessinent une ligne verticale qui traverse entièrement le graphique de bas en haut.

Vous pouvez définir :

  • le point origine : bien sur vous ne pouvez définir que la position sur l'axe X de ce dessin, et cette position est relative aux coordonnées réelles affichées.

  • la couleur.

  • l'épaisseur du trait.


Les courbes :

Les courbes dessinent des segments de droites entre les points de la courbe affiché. Vous ne pouvez pas les sélectionnées, cependant lorsque la souris passe sur un des segments de droite de la courbe, vous pouvez en cliquant avec le bouton droit, modifier les paramètres de cette courbe.

Vous pouvez définir :

  • le nom : valeur qui sera affichée dans le Label correspondant à cette courbe.

  • l'unité : valeur qui sera affichée dans le Label correspondant à cette courbe.

  • l'épaisseur du trait.

  • la couleur


Les labels :

Les labels sont des texte qui sont associés à une courbe. On peut modifier leur aspect, mais on ne peut pas les supprimer. Le texte qu'il affiche est le nom de la courbe suivit de l'unité entre parenthèse si elle est défini.

Vous pouvez définir :

  • le nom : correspond au nom de la courbe auquel, il est associé.

  • l'unité : correspond à l'unité de la courbe auquel, il est associé.

  • la fonte : taille, police, italique, gras, souligné et barré

  • la couleur : modifier la couleur d'un label, modifie la couleur de la courbe associée.

  • le décalage X du point origine du Label par rapport au point d'origine de l'axe exprimée en nombre de points du graphique.

  • lle décalage Y du point origine du Label par rapport au point d'origine de l'axe exprimée en nombre de points du graphique.


Les graphes :

Il existe deux types de graphes :

  • les oscillogrammes qui sont la représentation la plus fidèle des oscillogrammes d'un oscilloscope.

Dans un oscillogrammes : la hauteur et la largeur sont proportionnelle, pour cette raison, il est impossible modifier la hauteur du graphe. Les dimensions d'un oscillogramme sont définit dans le paramètre de la page.

  • les représentations mathématiques peuvent être modifiées comme bon vous semble pour vous permettre de faire tous les « effets possibles »..

Dans une représentation mathématique : vous pouvez modifier la courbe représentant l'axes X, l'echelle et la graduation; définir les courbes qui doivent être affichées sur l'axe Y, l'echelle et la graduation de cet axe; la présence d'un quadrillage horizontal ou vertical; la hauteur du graphe.

Vous pouvez :

  • ajouter une représentation mathématique

  • supprimer un graphe

  • modifier l'apparence d'un graphe


Ajouter une représentation mathématique :

Ce programme vous permet d'ajouter des graphes. Ceci pour vous permettre de séparer des courbes n'aillant pas les même grandeurs, de faire un zoom sur une partie de courbe, de séparer les courbes pour aérer vos explications ...

Une fois votre graphe récupéré depuis Isis ou un TDS, cliquer dans le menu « Graphe » sur « Ajouter graphe ». Un nouveau graphe apparaît avec toutes les courbes qu'il peut afficher. A vous de configurer ce graphe.

Pour supprimer un graphe aller dans le menu « Graphe » sur « Supprimer graphe » puis cliquer dans une partie du graphe à supprimer avec le bouton gauche. Cette option n'est bien sur possible que s'il existe plusieurs graphes.


Supprimer un graphe :

Pour supprimer un graphe aller dans le menu « Graphe » sur « Supprimer graphe » puis cliquer dans une partie du graphe à supprimer avec le bouton gauche. Cette option n'est bien sur possible que s'il existe plusieurs graphes.


Modifier l'aspect des graphes :

Pour modifier les paramètres d'un graphes , cliquez avec le bouton droit sur le graphes voulu en dehors d'un dessin.

Les paramètres communs : la couleur et l'épaisseur des axes, la fonte des graduations, la couleur et l'épaisseur des quadrillages. Avec quelques test vous comprendrez à quoi cela correspond dans chaque type de graphiques.

Dans un oscillogrammes : la hauteur et la largeur sont proportionnelle, pour cette raison, il est impossible modifier la hauteur du graphe. Les dimensions d'un oscillogramme sont définis dans le paramètre de la page.

Dans une représentation mathématique : vous pouvez modifier la courbe représentant l'axes X, l'échelle et la graduation; définir les courbes qui doivent être affichées sur l'axe Y, l'échelle et la graduation de cet axe; la présence d'un quadrillage horizontal ou vertical; la hauteur du graphe.


Propriété de la page :

Lorsque le curseur de la souris se trouve sur la bordure de la page ou en dehors de cette bordure, lorsque vous cliquer avec le bouton droit une fenètre apparaît vous permettant de définir les propriétés de la page.

Vous pouvez définir :

  • la hauteur : il est préférable de modifier la hauteur de chaque graphe, plutot que ce modifier ce paramètre. Lors d'une modification de ce paramètre une mise à l'échelle (si c'est possible) est effectué sur tous les graphes et tous les dessins.

  • la largeur : lors d'une modification de ce paramètre une mise à l'échelle (si c'est possible) est effectué sur tous les graphes et tous les dessins.

  • le pourcentage de marge : détermine la largeur de pa marge autour de la partie dessiné du graphe

  • la couleur de fond : si elle est blanche, la page sera transparente.

La hauteur d'un graphique est définie par défaut à 1500 points, la largeur à 2000 points. Si vous augmentez avec excès cette valeur, le temps d'affichage risque de s'en ressentir. Une diminution excessive vous donnera un rendu très approximatif de vos courbes. A vous de trouver vos propres réglages.


Gestion de fichiers graphe commenté :

GraphCom est associé lors de l'installation à l'extension « .gcm ». Bien sûr, il permet d'enregistrer et de rouvrir les fichiers qu'il crée ou qu'il a créés (Voir dans le menu « Fichier », les options « Ouvrir », « Enregistrer », « Enregistrer sous »).

Il permet aussi :

  • d'importer aussi des fichiers provenant d'un graphe d'Isis, ou d'autre applications respectant un certain format

  • d'importer des oscillogrammes depuis un oscilloscope

  • d'exporter des métafichiers. Ce type de fichier est un fichier image vectoriel de windows et peut être utilisé pour envoyer des images à un traitement de texte.


Copie dans le presse papeir :

Dans le menu « Edition », vous ne trouverez que « Copier dans le presse papier ». Ceci a pour effet de placer l'intégralité de la page dans le presse papier au format Windows Meta File, pour pouvoir être récupérer par un traitement de texte. L'intérêt des Méta Fichiers est qu'il peuvent être redimensionner sans perte d'informations et de qualité car c'est un format d'image vectoriel.


Utilisation :

Ce programme permet de sélectionner des composants, de copier des attributs de dessins,..

Les dessins sont définis par rapport à un point d'origine, suivant la manière dont ils sont définis ils ne réagiront pas de la même manière.

Enfin tous les dessins possèdent une propriété épaisseur qui va influence leur affichage.


Manipulation des dessins : techniques de base :

Sélectionner un dessin :

Cliquer avec le bouton gauche de la souris, sur ce dessin. Un rectangle rouge encadre le dessin et la poignet de déplacement (cercle vert), ainsi que la poignet de dimensionnement (rectangle jaune) apparaissent.

Sélections multiples :

GraphCom doit permettre de commenter des graphiques, mais n'est pas là pour permettre l'ajout de multiples dessins qui risquerait de rendre la lecture des courbes difficile. De ce fait le nombre de graphe devra être limité. Ainsi, il a paru inutile au concepteur de programmer une Sélection multiple. De même le « Copier Coller » de dessins n'a pas été implanté volontairement.

Supprimer un dessin :

Dans un premier temps sélectionner le dessin. Puis cliquer dans le menu « Dessin », « Supprimer ».

Lors de la création d'un dessin :

Ce dernier reçoit comme paramètres, les paramètres par defaut dont une partie est affichée dans la barre d'outils mise en forme.

Modifier les paramètres par défaut.

Lorsque vous sélectionnez un dessin, les paramètres de ce dernier deviennent les paramètres par défaut. Vous pouvez aussi modifier ces paramètres en utilisant la barre d'outil.

Modifier un (ou plusieurs) paramètre(s) d'un dessin :

Cliquer sur le bouton droit de la souris lorsque le curseur se trouve au dessus du dessin à modifier. Une boite de dialogue permettant de modifier les paramètres du composant apparaît. Les nouveaux paramètres sont appliqué lorsque vous fermez la boite de dialogue en cliquent sur le bouton « OK ».

Sélectionner le dessin, puis modifier les paramètres par défaut. Si ces paramètres s'applique au dessin, celui-ci est mis à jour.

Appliquer les paramètres d'un dessin de référence à un autre dessin.

Sélectionner le dessin de référence, puis en maintenant la touche « Majuscule » enfoncé, cliquer sur le dessin à modifier avec le bouton gauche de la souris. Les paramètres en communs seront mis à jours dans le dessin à modifier.

Déplacer un dessin :

Pour deplacer un dessin, vous devez lz sélectionner, puis placer le curseur de la souris sur la poignet de déplacement (rond vert), le curseur de la souris se transforme en un index de main. Cliquer sur ce point et déplacer la souris en maintenant le bouton gauche de la souris enfoncé. Tout au long du déplacement un rectangle de sélection suit les mouvements de la souris pour vous donner une idées des conséquences du déplacement. Lorsque vous relâchez le bouton le dessin est déplacé sur ce dernier point.

Redimensionner un dessin (ne s'applique pas aux Textes et aux Labels):

Sélectionner le dessin à redimensionner, puis placer la souris sur la poignet de dimensionnement (rectangle orange), le curseur de la souris se transforme en curseur de redimensionnement. Cliquer sur ce point et déplacer la souris en maintenant le bouton gauche de la souris enfoncé. Tout au long du redimensionnement un rectangle de sélection suit les mouvements de la souris pour vous donner une idées des conséquences du redimensionnement. Lorsque vous relâchez le bouton le dessin est redimensionné.


Point origine :

On peut définir le point origine d'un dessin soit au point en bas à gauche du graphe, soit en sélectionnant la boite à cocher « Point de réference » par rapport à un point de référence des courbes.

L'intérêt de pouvoir définir les dessins par rapport à un point de référence qu'ils suivent et qu'ils ne soient affichés que si leur point de référence est contenu dans la zone d'affichage du graphe.

Le point de référence est défini dans les unitées des axes, alors que le décalage est lui exprimé en points du graphes.

Exemple (à partir du fichier « math.gcm »). Pour réaliser cette mise en valeur :

les propriétés du point origine du cercle sont les suivantes :
le cercle a une hauteur et une largeur de 86 points.

celle de la flèche sont :
la flèche a aussi une hauteur et une largeur de 86 points.

et enfin celle du texte sont :

Si vous demandé à l'axe X d'afficher les valeurs comprises entre 30µs et 100µs, ces symboles ne seront pas affichés.

Si vous demandé à l'axe X d'afficher les valeurs comprises entre 20µs et 100µs, ces symboles seront affichés et seront bien centrés par rapport au point intersection des deux courbes.


Epaisseur du trait :

L'épaisseur du trait a été définie, car lors d'un « Copier Coller » dans un traitement de texte, du redimentionnement de ce graphique, il est possible que des traits trop fin ne soient pas imprimés. Les réglages par défauts, m'ont permis jusqu'à maintenant d'avoir une impression correcte, cependant si vous modifier un de ces paramètres, il est recommandé de vérifier l'impression à partir d'un traitement de texte, pour éventuellement les corriger, de manière à avoir une impression à votre goût (En espérant que ce programme vous laissera une bonne impression).


Installation & desintallation :

  • Installation

  • Desintallation


Installation :

Si vous suivez la procédure d'installation par défaut deux répertoires sont crées.

« C:\Program Files\GraphCom » : contenant le programme, des fichiers de configuration, les fichiers de desinstallation et deux répertoires « Exemples » et « Help » permettant le bon fonctionnement de GraphCom

« C:\WINDOWS\Menu Démarrer\Programmes\GraphCom » : contenant les raccourcis vers le programme et son fichier d'aide.

Note : L'installation associe les fichiers avec l'extension « .cgm » à GraphCom ce qui vous permettra de lancer l'exécution de ce programme lorsque vous double cliquez sur un fichier théoriquement créer par GraphCom.


Desintallation :

Pour desinstaller le logiciel, il suffit d'aller dans « Démarrer », « Paramètres », « Panneau de configuration », « Ajout/Suppression de programmes », sélectionner « GraphCom version 1.0 », puis cliquer sur le bouton « Ajouter/Supprimer »puis valider par le bouton « Oui ».

Si vous avez suivi la phase d'installation par défaut vous pouvez vérifier que les deux répertoires : « c:\Program Files\GraphCom » et « C:\WINDOWS\Menu Démarrer\Programmes\GraphCom » ont été supprimés.

Vous supprimer association de fichier avec GraphCom, manuellement. Dans « Demarrer », « Paramêtres », « Options des dossiers », rechercher l'extension « .cgm » et supprimer son association.

Pour affiner la desinstallation, vous pouvez dans la base de registre rechercher les clefs « GraphCom » et théoriquement vous devez pouvoir les supprimer ( A vos risques et périls ).